libcdr::CDRInternalStream Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRInternalStream Class Reference

`#include <CDRInternalStream.h>`

Inheritance diagram for libcdr::CDRInternalStream:

## Public Member Functions
| CDRInternalStream (librevenge::RVNGInputStream *input, unsigned long size, bool compressed=false)
| CDRInternalStream (const std::vector< unsigned char > &buffer)
| ~CDRInternalStream ()
bool | isStructured ()
unsigned | subStreamCount ()
const char * | subStreamName (unsigned)
bool | existsSubStream (const char *)
librevenge::RVNGInputStream * | getSubStreamByName (const char *)
librevenge::RVNGInputStream * | getSubStreamById (unsigned)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()
unsigned long | getSize () const

## Private Member Functions
| CDRInternalStream (const CDRInternalStream &)
CDRInternalStream & | operator= (const CDRInternalStream &)

## Private Attributes
volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

libcdr::CDRInternalStream::CDRInternalStream | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | size,
|  | bool | compressed = `false`
| ) |  |

libcdr::CDRInternalStream::CDRInternalStream | ( | const std::vector< unsigned char > & | buffer | ) |

libcdr::CDRInternalStream::~CDRInternalStream | ( |  | ) |
| inline

libcdr::CDRInternalStream::CDRInternalStream | ( | const CDRInternalStream & |  | ) |
| private

## Member Function Documentation

bool libcdr::CDRInternalStream::existsSubStream | ( | const char * |  | ) |
| inline

unsigned long libcdr::CDRInternalStream::getSize | ( |  | ) | const
| inline

librevenge::RVNGInputStream* libcdr::CDRInternalStream::getSubStreamById | ( | unsigned |  | ) |
| inline

librevenge::RVNGInputStream* libcdr::CDRInternalStream::getSubStreamByName | ( | const char * |  | ) |
| inline

bool libcdr::CDRInternalStream::isEnd | ( |  | ) |

Referenced by libcdr::CDRParser::parseRecord().

bool libcdr::CDRInternalStream::isStructured | ( |  | ) |
| inline

CDRInternalStream& libcdr::CDRInternalStream::operator= | ( | const CDRInternalStream & |  | ) |
| private

const unsigned char * libcdr::CDRInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libcdr::CDRInternalStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

unsigned libcdr::CDRInternalStream::subStreamCount | ( |  | ) |
| inline

const char* libcdr::CDRInternalStream::subStreamName | ( | unsigned |  | ) |
| inline

long libcdr::CDRInternalStream::tell | ( |  | ) |

## Member Data Documentation

std::vector<unsigned char> libcdr::CDRInternalStream::m_buffer
| private

Referenced by CDRInternalStream(), and getSize().

volatile long libcdr::CDRInternalStream::m_offset
| private

The documentation for this class was generated from the following files:

- CDRInternalStream.h
- CDRInternalStream.cpp